Subject: libgcc2.a and mips-tfile

From: "Steven Liu" <[email-masked]>
Date: Fri, 2 Mar 2001 06:50:00 -0800

Hi, Franz:

I am doing cross-compiler for mips r3000 now and meet alot of problems.

My host system is i386 with Rad Hat 7.0 installed. 

First, I successfully built and installed binutils-2.8.1 by using binutils-2.8.1.tar.gz and egcs-mips-linux-1.1.2-2.i386.rpm. This created bin, lib, mips-linux subdirectories.

Second, I installed the linux kernel source code for mips by using linux-2.2.14-000715.tar.gz and configured it and enabled CONFIG_CROSSCOMPILE.  Made soft links: let  mips-linux/include/asm pointd to linux-2.2.14-000715/include/asm-mips and 
mips-linux/include/linux pointd to linux-2.2.14-000715/include/linux.

Third, unziped the egcs-1.1.2.tar.gz, added the patch egcs-mips-linux-1.1.2-2.i386.rpm and configured it as following:
     ./configure --prefix=/home/sliu --with-newlib --target=mips-linux
and made it this way:
     make SUBDIRS="libiberty texinfo gcc" ALL_TARGET_MODULES= CONFIGURE_TARGET_MODULES= INSTALL_TARGET_MODULES= LANGUAGES="c"

Then, it gave the following errors in gcc subdirectory:

xgcc: installation problem, cannot exec `mips-tfile': No such file or directory
make[1]: *** [libgcc2.a] Error 1
make[1]: Leaving directory `/home/sliu/egcs-1.1.2/gcc'
make: *** [all-gcc] Error 2

If you could give me any help, I would be greatly appreciated.

Regards,

Steven Liu